org.apache.commons.math3.analysis.function

## Class Sigmoid

- java.lang.Object
- - org.apache.commons.math3.analysis.function.Sigmoid

All Implemented Interfaces:
  DifferentiableUnivariateFunction, UnivariateDifferentiableFunction, UnivariateFunction

    public class Sigmoid
    extends java.lang.Object
    implements UnivariateDifferentiableFunction, DifferentiableUnivariateFunction

Sigmoid function. It is the inverse of the `logit` function. A more flexible version, the generalised logistic, is implemented by the `Logistic` class.

Since:
  3.0
Version:
  $Id: Sigmoid.java 1391927 2012-09-30 00:03:30Z erans $

### Nested Class Summary

Nested Classes
`static class` `Sigmoid.Parametric` Parametric function where the input array contains the parameters of the logit function, ordered as follows: Lower asymptote Higher asymptote

### Field Summary

Fields
`private double` `hi` Higher asymptote.
`private double` `lo` Lower asymptote.

### Constructor Summary

Constructors
Constructor and Description
`Sigmoid()` Usual sigmoid function, where the lower asymptote is 0 and the higher asymptote is 1.
`Sigmoid(double lo, double hi)` Sigmoid function.

### Method Summary

Methods
`UnivariateFunction` `derivative()` Deprecated. as of 3.1, replaced by `value(DerivativeStructure)`
`DerivativeStructure` `value(DerivativeStructure t)` Simple mathematical function.
`double` `value(double x)` Compute the value of the function.
`private static double` `value(double x, double lo, double hi)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### lo

    private final double lo

Lower asymptote.

#### hi

    private final double hi

Higher asymptote.

### Constructor Detail

#### Sigmoid

    public Sigmoid()

Usual sigmoid function, where the lower asymptote is 0 and the higher asymptote is 1.

#### Sigmoid

    public Sigmoid(double lo,
           double hi)

Sigmoid function.

Parameters:
  `lo` - Lower asymptote.
  `hi` - Higher asymptote.

### Method Detail

#### derivative

    @Deprecated
    public UnivariateFunction derivative()

Deprecated. as of 3.1, replaced by `value(DerivativeStructure)`
Returns the derivative of the function

Specified by:
  `derivative` in interface `DifferentiableUnivariateFunction`
Returns:
  the derivative function

#### value

    public double value(double x)

Compute the value of the function.

Specified by:
  `value` in interface `UnivariateFunction`
Parameters:
  `x` - Point at which the function value should be computed.
Returns:
  the value of the function.

#### value

    private static double value(double x,
               double lo,
               double hi)

Parameters:
  `x` - Value at which to compute the sigmoid.
  `lo` - Lower asymptote.
  `hi` - Higher asymptote.
Returns:
  the value of the sigmoid function at `x`.

#### value

    public DerivativeStructure value(DerivativeStructure t)

Simple mathematical function.

`UnivariateDifferentiableFunction` classes compute both the value and the first derivative of the function.

Specified by:
  `value` in interface `UnivariateDifferentiableFunction`
Parameters:
  `t` - function input value
Returns:
  function result
Since:
  3.1